
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT proxy
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%global golang_version 1.16
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

%undefine _missing_build_ids_terminate_build
Name:          kata-proxy
Version:       1.12.1
Release:       4%{?dist}
#   0.20210113.gitaebf6cf
Vendor:        Oracle America
Summary:       Host-side communication with Kata containers
Group:         Development/Tools
License:       Apache-2.0

Source0:       %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig(systemd)
BuildRequires: git
BuildRequires: golang >= %{golang_version}

%description
This component of Kata containers implements host-side communication (I/O streams) with processes within containers through virtio serial interface exported by QEMU.

%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0

%prep
%setup -q

%build
export GO111MODULE=auto
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%clean
rm -rf %{buildroot}

%install
make install \
	DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-proxy

%changelog
* Mon Apr 25 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-4
- Updated THIRD_PARTY_LICENSES.txt generated using pls attribution-helper

* Mon Nov 22 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-3
- updated golang version
- added buildhost variable

* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Fri Jan 15 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-proxy
